---
name: Bug report
about: Create a report to help us improve
title: '[BUG] '
labels: bug
assignees: ''
---

## Bug Description
A clear and concise description of what the bug is.

## To Reproduce
Steps to reproduce the behavior:
1. Use function/class '...'
2. With parameters '....'
3. Execute code '....'
4. See error

## Expected Behavior
A clear and concise description of what you expected to happen.

## Actual Behavior
A clear and concise description of what actually happened.

## Error Messages
If applicable, add error messages or stack traces you received.

```
Paste error messages here
```

## Environment
 - OS: [e.g. Windows 10, macOS 12.0, Ubuntu 22.04]
 - Python version: [e.g. 3.8.10]
 - SystemAIR-API version: [e.g. 0.1.0]
 - Systemair device model: [e.g. Save VTC 300, SaveCair]

## Additional Context
Add any other context about the problem here, such as code snippets showing how you're using the library.

```python
# Your code example here
```